#-----[ Directory ]----------------------------------------

DIR_QUEUE			= ../Queue

#-----[ Variable ]-----------------------------------------

OBJECTS_DEPS			= $(patsubst $(DIR_QUEUE)/%.cpp,$(DIR_OBJ)/%.o,$(wildcard $(DIR_QUEUE)/*.cpp))

#-----[ Rules ]--------------------------------------------

all				:
				@\
				$(MAKE) --directory=$(DIR_QUEUE) all; \
				$(MAKE)                          all_environnement;

clean				:
				@\
				$(MAKE) --directory=$(DIR_QUEUE) clean; \
				$(MAKE)                          environnement_clean;

help				:
				@$(MAKE) environnement_help

include                         ../Makefile.Environnement
